%global majorminor 1.0

%bcond_with extras
%bcond_without nasm
%bcond_without qt

Summary:       GStreamer plugins with good code and licensing
Name:          gstreamer1-plugins-good
Version:       1.22.5
Release:       7%{?dist}
License:       LGPLv2+
URL:           http://gstreamer.freedesktop.org/
Source0:       http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-%{version}.tar.xz
Source1:       gstreamer-good.appdata.xml

BuildRequires: meson gcc gcc-c++ gstreamer1-devel gstreamer1-plugins-base-devel cairo-devel
BuildRequires: cairo-gobject-devel flac-devel gdk-pixbuf2-devel libjpeg-devel libpng-devel
BuildRequires: libshout-devel libsoup-devel libX11-devel libXext-devel libXdamage-devel
BuildRequires: libXfixes-devel orc-devel pulseaudio-libs-devel speex-devel taglib-devel
BuildRequires: wavpack-devel libv4l-devel libvpx-devel gtk3-devel mesa-libGL-devel libgudev-devel
BuildRequires: mesa-libGLES-devel mesa-libGLU-devel mesa-libEGL-devel lame-devel mpg123-devel twolame-devel

%if %{with nasm}
BuildRequires:  nasm
%endif

%if %{with extras}
BuildRequires: jack-audio-connection-kit-devel libavc1394-devel libdv-devel libiec61883-devel libraw1394-devel
%endif

Provides:       gstreamer1-plugin-mpg123 = %{version}-%{release}

%description
GStreamer is a streaming media framework, based on graphs of filters which operate on media data.
Applications using this library can do anything from real-time sound processing to playing videos,
and just about anything else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new plugins.

GStreamer Good Plugins is a collection of well-supported plugins of good quality and under the LGPL license.

%package gtk
Summary:         GStreamer "good" plugins gtk plugin
Requires:        %{name} = %{version}-%{release}
Provides:        gstreamer1-plugins-bad-free-gtk = %{version}-%{release}

%description gtk
GStreamer is a streaming media framework, based on graphs of elements which operate on media data.

GStreamer Good Plugins is a collection of well-supported plugins of good quality and under the LGPL license.

This package (%{name}-gtk) contains the gtksink output plugin.

%if %{with qt}
%package qt
Summary:         GStreamer "good" plugins qt qml plugin
Requires:        %{name} = %{version}-%{release}

BuildRequires: pkgconfig(Qt5Gui) pkgconfig(Qt5Qml) pkgconfig(Qt5Quick) pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(Qt5WaylandClient)
BuildRequires: qt5-qtbase-private-devel

Supplements: (gstreamer1-plugins-good and qt5-qtdeclarative)

%description qt
GStreamer is a streaming media framework, based on graphs of elements which operate on media data.

GStreamer Good Plugins is a collection of well-supported plugins of good quality and under the LGPL license.

This package (%{name}-qt) contains the qtsink output plugin.
%endif

%if %{with extras}
%package extras
Summary:        Extra GStreamer plugins with good code and licensing
Requires:       %{name} = %{version}-%{release}

%description extras
GStreamer is a streaming media framework, based on graphs of filters which operate on media data.

GStreamer Good Plugins is a collection of well-supported plugins of good quality and under the LGPL license.

%{name}-extras contains extra "good" plugins
which are not used very much and require additional libraries to be installed.
%endif

%prep
%autosetup -n gst-plugins-good-%{version} -p1

%build
%meson \
  -D package-name='%{_vendor} GStreamer-plugins-good package' \
  -D package-origin='%{SOURCE0}' \
  -D doc=disabled \
  -D asm=%{?with_nasm:enabled}%{!?with_nasm:disabled} \
  -D doc=disabled \
  -D orc=enabled \
  -D monoscope=disabled \
  -D aalib=disabled \
  -D libcaca=disabled \
  -D rpicamsrc=disabled \
  -D jack=%{?with_extras:enabled}%{!?with_extras:disabled} \
  -D dv=%{?with_extras:enabled}%{!?with_extras:disabled} \
  -D dv1394=%{?with_extras:enabled}%{!?with_extras:disabled} \
  -D qt-egl=disabled \
%if %{without qt}
  -D qt5=disabled \
%endif
  -D qt6=disabled
  %{nil}

%meson_build

%install
%meson_install

install -p -D %{SOURCE1} %{buildroot}%{_metainfodir}/gstreamer-good.appdata.xml

find %{buildroot} -name '*.la' -exec rm -fv {} ';'

%find_lang gst-plugins-good-%{majorminor}

%files -f gst-plugins-good-%{majorminor}.lang
%license COPYING
%doc AUTHORS NEWS README.md README.static-linking RELEASE REQUIREMENTS
%{_metainfodir}/gstreamer-good.appdata.xml
%dir %{_datadir}/gstreamer-%{majorminor}/presets/
%{_datadir}/gstreamer-%{majorminor}/presets/GstVP8Enc.prs
%{_datadir}/gstreamer-%{majorminor}/presets/GstIirEqualizer10Bands.prs
%{_datadir}/gstreamer-%{majorminor}/presets/GstIirEqualizer3Bands.prs
%{_datadir}/gstreamer-%{majorminor}/presets/GstQTMux.prs
%{_libdir}/gstreamer-%{majorminor}/libgstadaptivedemux2.so
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstalphacolor.so
%{_libdir}/gstreamer-%{majorminor}/libgstalpha.so
%{_libdir}/gstreamer-%{majorminor}/libgstapetag.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofx.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioparsers.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstautodetect.so
%{_libdir}/gstreamer-%{majorminor}/libgstavi.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebug.so
%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{majorminor}/libgstdtmf.so
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstequalizer.so
%{_libdir}/gstreamer-%{majorminor}/libgstflv.so
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom2k1.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgsticydemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstid3demux.so
%{_libdir}/gstreamer-%{majorminor}/libgstimagefreeze.so
%{_libdir}/gstreamer-%{majorminor}/libgstinterleave.so
%{_libdir}/gstreamer-%{majorminor}/libgstisomp4.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.so
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultifile.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultipart.so
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{majorminor}/libgstoss4.so
%{_libdir}/gstreamer-%{majorminor}/libgstreplaygain.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtsp.so
%{_libdir}/gstreamer-%{majorminor}/libgstshapewipe.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so
%{_libdir}/gstreamer-%{majorminor}/libgstspectrum.so
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobox.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideocrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideofilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomixer.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstxingmux.so
%{_libdir}/gstreamer-%{majorminor}/libgsty4menc.so
%{_libdir}/gstreamer-%{majorminor}/libgstcairo.so
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so
%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstpng.so
%{_libdir}/gstreamer-%{majorminor}/libgstpulseaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{majorminor}/libgstshout2.so
%{_libdir}/gstreamer-%{majorminor}/libgstsoup.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so
%{_libdir}/gstreamer-%{majorminor}/libgsttaglib.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so
%{_libdir}/gstreamer-%{majorminor}/libgstvpx.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavpack.so
%{_libdir}/gstreamer-%{majorminor}/libgstlame.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpg123.so
%{_libdir}/gstreamer-%{majorminor}/libgsttwolame.so

%files gtk
%{_libdir}/gstreamer-%{majorminor}/libgstgtk.so

%if %{with qt}
%files qt
%{_libdir}/gstreamer-%{majorminor}/libgstqmlgl.so
%endif

%if %{with extras}
%files extras
%{_libdir}/gstreamer-%{majorminor}/libgstjack.so
%{_libdir}/gstreamer-%{majorminor}/libgstdv.so
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so
%endif

%changelog
* Tue Jun 18 2024 Rebuild Robot <rebot@opencloudos.org> - 1.22.5-7
- [Type] security
- [DESC] Rebuilt for libvpx

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.5-6
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 Shuo Wang <abushwang@tencent.com> - 1.22.5-5
- Rebuilt for libvpx  1.13.0

* Wed Aug 23 2023 kianli <kianli@tencent.com> - 1.22.5-4
- Rebuilt for v4l-utils 1.24.1

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 1.22.5-3
- Rebuilt for orc 0.4.33

* Thu Aug 17 2023 kianli@tencent.com - 1.22.5-2
- Rebuilt for flac 1.4.3

* Wed Aug 2 2023 Shuo Wang <abushwang@tencent.com> - 1.22.5-1
- update to 1.22.5

* Thu Jul 13 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.22.4-1
- Upgrade to upstream version 1.22.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 12 2022 Shuo Wang <abushwang@tencent.com> - 1.20.4-1
- initial build
